Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class TrackerRecord1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.TrackerRecord1

public class TrackerRecord1 extends Object

Java class for TrackerRecord1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TrackerRecord1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ChargeBearerType1Code" minOccurs="0"/>
             <element name="ChrgsAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ActiveCurrencyAndAmount" minOccurs="0"/>
             <element name="XchgRateData" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CurrencyExchange13" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentification6`
`agt`
`protected ChargeBearerType1Code`
`chrgBr`
`protected ActiveCurrencyAndAmount`
`chrgsAmt`
`protected CurrencyExchange13`
`xchgRateData`

## Constructor Summary

Constructors
Constructor
Description
`TrackerRecord1()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentification6`
`getAgt()`
Gets the value of the agt property.
`ChargeBearerType1Code`
`getChrgBr()`
Gets the value of the chrgBr property.
`ActiveCurrencyAndAmount`
`getChrgsAmt()`
Gets the value of the chrgsAmt property.
`CurrencyExchange13`
`getXchgRateData()`
Gets the value of the xchgRateData property.
`void`
`setAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the agt property.
`void`
`setChrgBr(ChargeBearerType1Code value)`
Sets the value of the chrgBr property.
`void`
`setChrgsAmt(ActiveCurrencyAndAmount value)`
Sets the value of the chrgsAmt property.
`void`
`setXchgRateData(CurrencyExchange13 value)`
Sets the value of the xchgRateData property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### agt

protected BranchAndFinancialInstitutionIdentification6 agt

### chrgBr

protected ChargeBearerType1Code chrgBr

### chrgsAmt

protected ActiveCurrencyAndAmount chrgsAmt

### xchgRateData

protected CurrencyExchange13 xchgRateData

## Constructor Details

### TrackerRecord1

public TrackerRecord1()

## Method Details

### getAgt

public BranchAndFinancialInstitutionIdentification6 getAgt()
Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setAgt

public void setAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getChrgBr

public ChargeBearerType1Code getChrgBr()
Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerType1Code`

### setChrgBr

public void setChrgBr(ChargeBearerType1Code value)
Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

### getChrgsAmt

public ActiveCurrencyAndAmount getChrgsAmt()
Gets the value of the chrgsAmt property.

Returns:
  possible object is `ActiveCurrencyAndAmount`

### setChrgsAmt

public void setChrgsAmt(ActiveCurrencyAndAmount value)
Sets the value of the chrgsAmt property.

Parameters:
  `value` - allowed object is `ActiveCurrencyAndAmount`

### getXchgRateData

public CurrencyExchange13 getXchgRateData()
Gets the value of the xchgRateData property.

Returns:
  possible object is `CurrencyExchange13`

### setXchgRateData

public void setXchgRateData(CurrencyExchange13 value)
Sets the value of the xchgRateData property.

Parameters:
  `value` - allowed object is `CurrencyExchange13`